;======================================================================
;
; vectors.asm 
;
; Interrupt vector file for ATtiny2313
;
; Copyright (c) 2007 by Dipl.Ing. Hans Krause
;
;======================================================================
	.cseg					; switch to Code Segment
	.org	0				; 

	rjmp	Reset			;

;	rjmp	EXT0			;External Int 0
    reti

;	rjmp	EXT1			;External Int 1
	reti

;	rjmp	T1CapInt		;Timer 1 Capture Int not enabled
	reti

;	rjmp	T1CompA			;Timer 1 Compare match A Int not enabled
	reti

;	rjmp	TINT1			;Timer 1 Overflow Int
	reti

	rjmp	TINT0			;Timer 0 Overflow Int
;	reti

;	rjmp	RXSINT			;UART ReceiveInt
	reti

;	rjmp	DRegEmpty		;UART Data Reg Empty Int enabled
	reti

;	rjmp	TXInt			;UART TX Ready Int
	reti

;	rjmp	AnaComp			;Analog Comparator Int
	reti

;	rjmp	PCINT 	        ;Pin Change Interrupt
	reti

;	rjmp	TIMER1_COMPB	;Timer1 Compare B Handler
	reti

;	rjmp	TIMER0_COMPA	;Timer0 Compare A Handler
	reti

;	rjmp	TIMER0_COMPB	;Timer0 Compare B Handler
	reti

;	rjmp	USI_START		;USI Start Handler
	reti

;	rjmp	USI_OVERFLOW	;USI Overflow Handler
	reti

;	rjmp	EE_READY		;EEPROM Ready Handler
	reti

;	rjmp	WDT_OVERFLOW	;Watchdog Overflow Handler
	reti 
